Create a Sandbox Bank Account

This step is required only for the Sandbox environment and can be skipped in Production.

Before performing any connected banking operations, you must register a bank account for the sub-merchant. This is a one-time setup required for testing in the Sandbox environment.

Create a Sandbox Bank Account

POST https://banking-api.open.money/v1/connected_banking/linking/initiate

Request

{
    "sub_merchant_id": "<sandbox sub merchant id>",
    "partner_bank_id": "<partner bank id>",
    "merchant_redirect_url": "https://partner.example.com/callback"
}

Success — 200 OK

{
    "status": "success",
    "data": {
        "redirect_url": "https://app.open.money/external/account-linking?session_id=061f230f-75e0-428e-9024-aaef1e8269ab",
        "is_sandbox": true,
        "status": "initiated",
        "merchant_redirect_url": "https://partner.example.com/callback"
    },
    "error": null,
    "meta": {
        "timestamp": "2026-08-20T12:46:45.919728Z"
    }
}

Steps

  1. Initiate linking using the Initiate Linking API with the merchant redirect URL (the merchant redirect URL will be a platform URL to which the user will be redirected after the linking process is completed) and partner bank ID from the list.
  2. The user has to redirect to redirect_url, which is returned in the response.
  3. Fill in the account details and submit them with the corresponding status.
  4. Once the linking is completed, a webhook will be triggered to the configured webhook URL.
  5. Call the Bank account listing API to list configured bank accounts.
  6. Bank account listing API will return the redirect_url in case the linking is not completed. The user has to be redirected to the link to complete the linking process.